rooms.push({
	id: "begin-pickup",
	name: "Sector 12",
	description: "A seemingly-endless black void, far enough away from any territories to be detected.",
	play: "begin-pickup",
	actions: [],
	doors: [],
	viewable: [
		{elementId: 'put-in-inventory', data: { action: "begin-cargo-pickup", button: "Pickup Cargo", source: () => {
			let beginCargo = [];
			if(!isFlagEnabled('begin-cargo-aboard')) {
				beginCargo.push(new Item(1, "contraband", "Suspicious Cargo"));
				beginCargo.push(new Item(1, "contraband", "Suspicious Cargo"));
				beginCargo.push(new Item(1, "contraband", "Suspicious Cargo"));
			}
			return beginCargo;
		}
		}},
		{elementId: 'room-description', data: {}},
	],
	enter: () => {
		if(!isFlagEnabled('begin-cargo-aboard')) {
			clearFlag('begin-cargo-requested');
			userData.inCargoHold = [];

			setTimeout(() => {
				receiveMessage({name: "[mysterious signal]", id: -1, style: "dark"}, "Aha. I see you've found the cargo.");
			}, 5000);

			setTimeout(() => {
				receiveMessage({name: "[mysterious signal]", id: -1, style: "dark"}, "Go ahead and select all 3 and bring them aboard.");
				setFlag('begin-cargo-requested');
			}, 8000);
		}
	}
});